Platform podman container list request

Request of list platform podman container

Endpoint

GET /api/platform/podman/container/

Auth

Authorization: Bearer ${token}

Query Parameters

KeyDefault
allfalse
filter

Response

Json
[
    {
        "kind": "status",
        "payload": {
            "code": 0,
            "message": ""
        }
    },
    {
        "kind": "entity",
        "payload": {
            "auto_remove": false,
            "cid_file": "",
            "command": [
                ""
            ],
            "created": 0,
            "created_at": "",
            "exit_code": 0,
            "exited": false,
            "exited_at": 0,
            "exposed_ports": null,
            "id": "",
            "image": "",
            "image_id": "",
            "is_infra": false,
            "labels": null,
            "mounts": [],
            "names": [
                ""
            ],
            "namespaces": {},
            "networks": [
                ""
            ],
            "pid": 0,
            "pod": "",
            "pod_name": "",
            "ports": null,
            "restarts": 0,
            "size": null,
            "started_at": 0,
            "state": "",
            "status": ""
        }
    }
]

Notes

  • Platform Permission Required